Package ch.qos.logback.classic.html

## Class UrlCssBuilder

- java.lang.Object
- - ch.qos.logback.classic.html.UrlCssBuilder

All Implemented Interfaces:
  `CssBuilder`

    public class UrlCssBuilder
    extends java.lang.Object
    implements CssBuilder

This class helps the HTMLLayout build the CSS link. It either provides the HTMLLayout with a default css file, or builds the link to an external, user-specified, file.

Author:
  Sébastien Pennec

### Constructor Summary

Constructors
`UrlCssBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCss​(java.lang.StringBuilder sbuf)`
`java.lang.String` `getUrl()`
`void` `setUrl​(java.lang.String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlCssBuilder

    public UrlCssBuilder()

### Method Detail

#### getUrl

    public java.lang.String getUrl()

#### setUrl

    public void setUrl​(java.lang.String url)

#### addCss

    public void addCss​(java.lang.StringBuilder sbuf)

Specified by:
  `addCss` in interface `CssBuilder`